package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF0D2 extends MwfRequest<MWF0D2, MWF0D2Response> {

    @Parameter(name = "ChannelId")
    MWF0D2 channelId(String channelId);
    @Parameter(name = "ID_OM")
    MWF0D2 idOm(String idOm);
    @Parameter(name = "LOAN_AMOUNT")
    MWF0D2 loanAmount(Double loanAmount);
    @Parameter(name = "NetMonthlyIncome")
    MWF0D2 netMonthlyIncome(Double netMonthlyIncome);
    @Parameter(name = "OtherMonthlyPayments")
    MWF0D2 otherMonthlyPayments(Long otherMonthlyPayments);
    @Parameter(name = "PRODUCT_CLASS")
    MWF0D2 productClass(String productClass);
    @Parameter(name = "TERM")
    MWF0D2 term(Long term);
}
